<?php
  header("Content-Type: application/json; charset=utf-8", true);

  function URL_PWA() {
    $scheme = $_SERVER["REQUEST_SCHEME"];
    $scheme = ($scheme) ? ($scheme . "://") : ($scheme . "https://");
    return $scheme . $_SERVER["SERVER_NAME"] . dirname($_SERVER["SCRIPT_NAME"]) . "/";
  }
  $PWA_ROOT_URL = URL_PWA();
?>
{
  "name": "Holo6 - <?php echo($_SERVER["SERVER_NAME"]); ?>",
  "short_name": "Holo6 - <?php echo($_SERVER["SERVER_NAME"]); ?>",
  "description": "L'IA publique de <?php echo($_SERVER["SERVER_NAME"]); ?>",
  "id": "holo-fr-id",
  "lang": "fr",
  "icons": [
    {
      "src": "<?php echo($PWA_ROOT_URL); ?>favicon-64x64.png",
      "sizes": "64x64",
      "type": "image/png"
    },
    {
      "src": "<?php echo($PWA_ROOT_URL); ?>favicon-192x192.png",
      "sizes": "192x192",
      "type": "image/png"
    },
    {
      "src": "<?php echo($PWA_ROOT_URL); ?>favicon-512x512.png",
      "sizes": "512x512",
      "type": "image/png"
    }
  ],
  "start_url": "<?php echo($PWA_ROOT_URL); ?>index.php",
  "scope": "<?php echo($PWA_ROOT_URL); ?>",
  "display": "standalone",
  "orientation": "portrait",
  "background_color": "#ffffff",
  "theme_color": "#ffffff",
  "related_applications": [
  ]
}