<?php

require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/utils.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/holo6_client.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/notifications.php";


function holo6_render_autogen_generic_btn_2() {
    echo("<button  id=\"holo6-autogen_data_for_web_btn\"  class=\"button action\" style=\"margin-top: 0.5em;\" type=\"button\" >" . __("Generate summary with Holo6", "holo6") . "</button>");
}

function holo6_render_private_detail_article_page($source_name) {
    holo6_database_update_db_post();
    // if (isset($_POST["redirect_to_main_settings"])) {
    //     if ($_POST["redirect_to_main_settings"] == "1") {
    //         var_dump($_POST["redirect_to_main_settings"]);
    //         header("Location: /admin.php");
    //         die();
    //     }
    // }

    // $source_name = urldecode($source_name);
    $source_name = stripslashes($source_name);

    $notifications_manager = new Holo6Notifications();
    $holo6_php_client = new Holo6PHPClient();

    $article_source_detail = $holo6_php_client->DBGetCurrentCollectionSourceDetail($source_name);

    if ($article_source_detail) {
        echo("<div class=\"wrap holo6_base\">");
        echo("<span id=\"holo6_side_panel_container_top\"><a class=\"button action holo6_go_back_btn\" href=\"?page=holo6-settings-database\">" . __("Go back", "holo6") . "</a></span>");
        echo("<span style=\"display: inline-flex; vertical-align: middle;\">");
        echo("<h1 class=\"wp-heading-inline\" style=\"\">" . sprintf(__("Holo6 AI Settings on %s", "holo6"), "<span class=\"holo6_surligne_titre\">" . holo6_current_site_title_name(true) . "</span>") . "</h1>");
        echo("<h2 style=\"width: fit-content; margin-left: 1em;\">" . esc_attr__(sprintf(__("Database : Article \"%s\"", "holo6"), $article_source_detail["title"])) . "</h2>");
        echo("</span>");
        echo("<hr class=\"wp-header-end\"><br>");

        $url_serveur_ctrl = "https://" . $_SERVER["SERVER_NAME"] . "/";
        $source_article_url = $article_source_detail["source"];
        $search_content = $article_source_detail["search_content"];
        $full_content = $article_source_detail["full_content"];

        echo("<form action=\"\" method=\"post\">");
        echo("<input type=\"hidden\" name=\"holo6_post_database_db_action\" value=\"add_article_data\" />");
        // echo("<input type=\"hidden\" name=\"redirect_to_main_settings\" value=\"1\" />");

        echo("<table role=\"presentation\" class=\"form-table\" style=\"width: calc(100% - 1em);\">");
        
        echo("<input type=\"hidden\" name=\"article_source\" value=\"" . $source_article_url . "\" />");
        
        if (holo6_str_startsWith($source_article_url, "https://")) {
            echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Source", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\"><div style=\"margin-bottom: 0.5em;\"><a href=\"" . esc_attr($source_article_url) . "\">" . esc_attr($source_article_url) . "</a></div></td></tr>");
        }
        else {
            echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Source", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\"><div style=\"margin-bottom: 0.5em;\">" . esc_attr($source_article_url) . "</div></td></tr>");
        }

        echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Title", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\"><input type=\"text\" required style=\"width: 100%;\" class=\"holo6_input_conf_line\" id=\"holo6-web_article_title\" name=\"article_title\" placeholder=\"" . esc_attr__("Page title...", "holo6") . "\" value=\"" . esc_attr($article_source_detail["title"]) . "\" /></td></tr>");
        echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Summary / Text to search", "holo6"));
        echo("<br><span>" . holo6_render_autogen_generic_btn_2() . "</span>");
        echo("</th><td class=\"holo6_table_td_sec_colonne\"><textarea required class=\"holo6_input_conf_text\" id=\"holo6-web_article_summary\" name=\"article_summary\" rows=\"12\" placeholder=\"" . esc_attr__("Text to search...", "holo6") . "\">" . holo6_esc_html(is_string($search_content) ? $search_content : json_encode($search_content)) . "</textarea></td></tr>");
        
        if (is_string($full_content)) {
            echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Complete text", "holo6"));
            if (holo6_str_startsWith($source_article_url, $url_serveur_ctrl)) {
                echo("<br><span><button id=\"holo6-db_edit_refresh_article_btn\" class=\"button action\" style=\"margin-top: 0.5em;\" type=\"button\" data-article_url=\"" . esc_attr($source_article_url) . "\" >" . __("Refresh", "holo6") . "</button></span>");
            }
            echo("</th><td class=\"holo6_table_td_sec_colonne\"><textarea required class=\"holo6_input_conf_text\" id=\"holo6-web_article_full_text\" name=\"article_full_text\" rows=\"24\" placeholder=\"" . esc_attr__("Full text to inject into the llm...", "holo6") . "\">" . holo6_esc_html($full_content) . "</textarea></td></tr>");

            echo("<tr><th class=\"holo6_table_th_prem_colonne\"></th><td class=\"holo6_table_td_sec_colonne\">");
            echo("<input type=\"submit\" id=\"holo6-form_add_web_database-send\" style=\"margin-top: 0.5em;\" class=\"button button-primary\" name=\"holo6_database_submit_article_action\" value=\"" . esc_attr__("Update article", "holo6") . "\" /></span>");
            echo("</td></tr>");
        }
        else {
            echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Complete text", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\">" . __("As above", "holo6") . "</td></tr>");
        }
        echo("</table>");
        echo("</form>");
    }
    else {
        $notifications_manager->addNotificationError(sprintf(__("Error on fetching article : %s", "holo6"), $source_name));
    }
    do_action("admin_notices");
}

?>
