<?php

require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/utils.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/notifications.php";


function holo6_render_autogen_local_btn() {
    echo("<button id=\"holo6-autogen_data_for_local_btn\" class=\"button action\" style=\"margin-top: 1em;\" type=\"button\" >" . __("Auto generate with Holo6", "holo6") . "</button>");
}

function holo6_render_autogen_generic_btn() {
    echo("<button  id=\"holo6-autogen_data_for_web_btn\"  class=\"button action\" style=\"margin-top: 0.5em;\" type=\"button\" >" . __("Generate summary with Holo6", "holo6") . "</button>");
}

function _holo6_database_render_article_redaction() {
    echo("<div style=\"max-width: calc(100% - 4em); margin-left: 2em;\">");
    echo("<div style=\"font-weight: bold; max-width: fit-content;\"><h3>" . __("Add data to the database", "holo6") . "</h3></div>");

    echo("<div class=\"holo6_form_db_select_add\">");
        echo("<button class=\"holo6_btn_form_db_select_tab\" id=\"holo6-btn_form_db_web_database\">" . __("External source", "holo6") . "</button>");
        echo("<button class=\"holo6_btn_form_db_select_tab\" id=\"holo6-btn_form_db_local_database\">" . sprintf(__("Ressource from %s", "holo6"), $_SERVER["SERVER_NAME"]) . "</button>");
    echo("</div>");

    echo("<div class=\"holo6_form_db_data\" id=\"holo6-form_add_local_database\">");
        echo("<div class=\"holo6_sec_colonne\">");
            echo("<input type=\"text\" style=\"max-width: 80em;\" class=\"holo6_input_conf_line\" id=\"holo6-article_source_autogen\" placeholder=" . "\"https://" . $_SERVER["SERVER_NAME"] . "/\" />");
            echo("<br>");
            holo6_render_autogen_local_btn();
        echo("</div>");
        echo("<div class=\"holo6_table_row_cond_enabled\" id=\"holo6-form_local_db_container\">");
                echo("<br>");
                echo("<form action=\"?page=holo6-settings-database&create_article=0\" method=\"post\">");
                echo("<input type=\"hidden\" name=\"holo6_post_database_db_action\" value=\"add_article_data\" />");
                echo("<table role=\"presentation\" class=\"form-table\">");
                echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Source", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\"><input type=\"text\" required style=\"width: 100%;\" class=\"holo6_input_conf_line\" id=\"holo6-local_article_source\" name=\"article_source\" placeholder=\"https://\" value=\"" . esc_attr("") . "\" /></td></tr>");
                echo("<tr><th class=\"holo6_table_th_prem_colonne\">" . __("Title", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\"><input type=\"text\" required style=\"width: 100%;\" class=\"holo6_input_conf_line\" id=\"holo6-local_article_title\" name=\"article_title\" placeholder=\"" . esc_attr__("Page title...", "holo6") . "\" value=\"" . esc_attr("") . "\" /></td></tr>");
                echo("<tr><th class=\"holo6_table_th_prem_colonne\"><div><span>" . __("Summary", "holo6") . "</span><br><span>" . __("Text to search to find this article", "holo6") . "</span></div></th><td class=\"holo6_table_td_sec_colonne\"><textarea rows=\"8\" required class=\"holo6_input_conf_text\" id=\"holo6-local_article_summary\" name=\"article_summary\" rows=\"12\" placeholder=\"" . esc_attr__("Text to search...", "holo6") . "\">" . holo6_esc_html("") . "</textarea></td></tr>");
                echo("<tr><th class=\"holo6_table_th_prem_colonne\"><div><span>" . __("Complete text", "holo6") . "</span><br><span>" . __("This is the text that will be injected into the prompt", "holo6") . "</span></div></th><td class=\"holo6_table_td_sec_colonne\"><textarea  rows=\"16\"  required class=\"holo6_input_conf_text\" id=\"holo6-local_article_full_text\" name=\"article_full_text\" rows=\"24\" placeholder=\"" . esc_attr__("Full text to inject into the llm...", "holo6") . "\">" . holo6_esc_html("") . "</textarea></td></tr>");
                echo("<tr><th class=\"holo6_table_th_prem_colonne\"></th><td class=\"holo6_table_td_sec_colonne\"><input type=\"submit\" style=\"margin-top: 0.5em;\" class=\"button button-primary\" name=\"holo6_database_submit_article_action\" value=\"" . esc_attr__("Add article", "holo6") . "\" /></td>");
                echo("</table>");
                echo("</form>");
        echo("</div>");
    echo("</div>");
    echo("<div class=\"holo6_form_db_data\" id=\"holo6-form_add_web_database\" style=\"display: none;\">");  // La propriété display sera modifiée via javascript en fonction de l'onglet choisi.
    echo("<form action=\"?page=holo6-settings-database&create_article=0\" method=\"post\">");
        echo("<input type=\"hidden\" name=\"holo6_post_database_db_action\" value=\"add_article_data\" />");
        echo("<table role=\"presentation\" class=\"form-table\">");
        echo("<tr class=\"holo6_table_row_cond_enabled\" id=\"holo6-form_add_web_source\"><th class=\"holo6_table_th_prem_colonne\">" . __("Source / Reference", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\"><input type=\"text\" required style=\"width: 100%;\" class=\"holo6_input_conf_line\" id=\"holo6-web_article_source\" name=\"article_source\" placeholder=\"" . esc_attr__("The source must be unique, otherwise a previous entry will be overwritten", "holo6") . "\" value=\"" . esc_attr("") . "\" /></td></tr>");
        echo("<tr class=\"holo6_table_row_cond_enabled\" id=\"holo6-form_add_web_title\"><th class=\"holo6_table_th_prem_colonne\">" . __("Title", "holo6") . "</th><td class=\"holo6_table_td_sec_colonne\"><input type=\"text\" required style=\"width: 100%;\" class=\"holo6_input_conf_line\" id=\"holo6-web_article_title\" name=\"article_title\" placeholder=\"" . esc_attr__("Page title...", "holo6") . "\" value=\"" . esc_attr("") . "\" /></td></tr>");
        echo("<tr class=\"holo6_table_row_cond_enabled\" id=\"holo6-form_add_web_summary\"><th class=\"holo6_table_th_prem_colonne\"><div><span>" . __("Summary", "holo6") . "</span><br><span>" . __("Text to search to find this article", "holo6") . "</span></div></th><td class=\"holo6_table_td_sec_colonne\"><textarea required rows=\"8\" class=\"holo6_input_conf_text\" id=\"holo6-web_article_summary\" name=\"article_summary\" rows=\"12\" placeholder=\"" . esc_attr__("Text to search...", "holo6") . "\">" . holo6_esc_html("") . "</textarea></td></tr>");
        
        echo("<tr><th id=\"holo6-form_add_web_complete_text\" class=\"holo6_table_th_prem_colonne\"><div><span>" . __("Complete text", "holo6") . "</span><br><span>" . __("This is the text that will be injected into the prompt", "holo6") . "</span></div></th><td class=\"holo6_table_td_sec_colonne\"><textarea rows=\"24\" required class=\"holo6_input_conf_text\" id=\"holo6-web_article_full_text\" name=\"article_full_text\" rows=\"24\" placeholder=\"" . esc_attr__("Full text to inject into the llm...", "holo6") . "\">" . holo6_esc_html("") . "</textarea></td></tr>");

        echo("<tr><th class=\"holo6_table_th_prem_colonne\"></th><td class=\"holo6_table_td_sec_colonne\">");
        echo("<span>" . holo6_render_autogen_generic_btn() . "<br><input type=\"submit\" id=\"holo6-form_add_web_database-send\" style=\"margin-top: 0.5em;\" class=\"button button-primary holo6_table_row_cond_enabled\" name=\"holo6_database_submit_article_action\" value=\"" . esc_attr__("Add article", "holo6") . "\" /></span></td>");
        echo("</table>");
        echo("</form>");
    echo("</div>");

    echo("</div>");
}

function holo6_render_private_create_article_page() {
    echo("<div class=\"wrap holo6_base\">");
    echo("<span id=\"holo6_side_panel_container_top\"><a class=\"button action holo6_go_back_btn\" href=\"?page=holo6-settings-database\">" . __("Go back", "holo6") . "</a></span>");
    echo("<span style=\"display: inline-flex; vertical-align: middle;\">");
    echo("<h1 class=\"wp-heading-inline\" style=\"\">" . sprintf(__("Holo6 AI Settings on %s", "holo6"), "<span class=\"holo6_surligne_titre\">" . holo6_current_site_title_name(true) . "</span>") . "</h1>");
    echo("<h2 style=\"width: fit-content; margin-left: 1em;\">" . __("Database : Create article", "holo6") . "</h2>");
    echo("</span>");

    // $settings_writer = new Holo6JSClientSettings("writer");
    // if ($settings_writer->app_enabled) {
    // }
    // On passera par JS plutôt:
    echo("<span id=\"holo6_form_cl_disabled_notif\" style=\"display: none; width: fit-content; margin-left: 1em;\">");
        echo("<div><h2 style=\"color: #af4b4b;\">" . __("Warning : The Writing AI client is disabled, therefore automatic summaries are disabled.", "holo6") ."<a style=\"margin-left: 12px;\" href=\"?page=holo6-settings-admin\">" . __("Edit settings", "holo6") . "</a></h2></div>");
    echo("</span>");

    echo("<hr class=\"wp-header-end\">");
    _holo6_database_render_article_redaction();
    echo("</div>");

    do_action("admin_notices");
}

?>