<?php

require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/utils.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/holo6_client.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/notifications.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/holo6_agents_manager.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/database_settings/database_settings_post.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/database_settings/database_edit_subpage.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/database_settings/database_create_subpage.php";
// require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/holo6_client_settings.php";


// function _holo6_render_database_settings_wrong_pw_database() {
//     echo("<div style=\"margin-left: 2em; padding: 8px;\">");
//     echo("<div>" . __("The database secret key appears to be invalid. It is possible that it has changed.", "holo6") . "</div>");
//         echo("<form action=\"\" method=\"post\">");
//             echo("<input type=\"hidden\" name=\"holo6_post_database_db_action\" value=\"reset_database_passwords\" />");
//             echo("<input type=\"submit\" class=\"button button-primary\" name=\"holo6_database_reset_db_pw_action\" value=\"" . esc_attr__("Reset key", "holo6") . "\" />");
//         echo("</form>");
//     echo("</div>");
// }


function _holo6_render_delete_source() {
    echo("<form style=\"display: none\" action=\"?page=holo6-settings-database\" method=\"POST\" id=\"holo6_post_delete_article\">");
    echo("<input type=\"hidden\" id=\"holo6_post_delete_article_id\" name=\"holo6_post_delete_article_id\" value=\"\"/>");
    echo("</form>");
}

function _holo6_database_render_articles_table($collection_name, $articles_list) {
//     do_action("holo6_admin_detail_article");

    echo("<div style=\"margin-top: 12px;\">");

    if (Holo6AgentsManager::is_collection_public_data($collection_name)) {
        echo("<h2 style=\"margin-left: 2.0em; width: fit-content; color: #58719d;\">" . sprintf(__("Public database related to the %s agent, for non-sensitive data", "holo6"), Holo6AgentsManager::get_agent_for_collection_name($collection_name)) . "</h2>");
        echo("<div style=\"position: absolute; right: 4em; top: 2em; width: fit-content; text-align: right;\">");
            echo("<h2><a href='?page=holo6-settings-public'>" . __("Go to related client settings", "holo6") . "</a></h2>");
            echo("<h4><a href='?page=holo6-settings-database&collection_name=" . Holo6AgentsManager::get_private_collection_name() . "'>" . __("Switch to private knowledge base", "holo6") . "</a></h4>");
        echo("</div>");
    }

    else if (Holo6AgentsManager::is_collection_private_data($collection_name)) {
        echo("<h2 style=\"margin-left: 2.0em; width: fit-content; color: #af4b4b;\">" . sprintf(__("Private database related to the %s agent, for sensitive data", "holo6"), Holo6AgentsManager::get_agent_for_collection_name($collection_name)) . "</h2>");
        echo("<div style=\"position: absolute; right: 4em; top: 2em; width: fit-content; text-align: right;\">");
            echo("<h2><a href='?page=holo6-settings-admin'>" . __("Go to related client settings", "holo6") . "</a></h2>");
            echo("<h4><a href='?page=holo6-settings-database&collection_name=" . Holo6AgentsManager::get_public_collection_name() . "'>" . __("Switch to public knowledge base", "holo6") . "</a></h4>");
        echo("</div>");
    }
    
    if (!$articles_list || (count($articles_list) === 0)) {
        echo("<table style=\"margin-left: 2.5em; width: fit-content;\"><tr>");
        echo("<td><div style=\"\"><h3>" . __("The database is empty.", "holo6") . "</h3></div></td>");
        echo("<td><div style=\"margin-left: 1em;\"><a href=\"?page=holo6-settings-database&create_article=1\" class=\"button action\">" . __("Create article", "holo6") . "</a></div></td>");
        echo("</tr></table>");
    }
    else {
        _holo6_render_delete_source();

        echo("<span class=\"holo6_sec_colonne\" style=\"margin-left: 10px\">" . __("Collection details", "holo6") . "</span>");
        echo("<table class=\"widefat striped holo6_table holo6_sec_colonne\" role=\"presentation\" style=\"margin-left: 2.5em; left: 0\">");
        echo("<tr class=\"holo6_table_fit_tr\"><th>" . __("Name", "holo6") . "</th><th>" . __("Source", "holo6") . "</th>");
        echo("<th><div style=\"text-align: right;\"><a href=\"?page=holo6-settings-database&create_article=1\" class=\"button action\">" . __("Create article", "holo6") . "</a></div></th></tr>");
        foreach ($articles_list as $article_data) {
            $source_url = (holo6_str_startsWith($article_data["source"], "http")) ? ("<a href=\"" . esc_attr($article_data["source"]) . "\">" . $article_data["source"] . "</a>") : ($article_data["source"]);

            echo("<tr class=\"holo6_table_fit_tr\">");
            echo("<td class=\"holo6_table_fit_td\"><div>" . $article_data["title"] . "</div></td>");
            echo("<td class=\"holo6_table_fit_td\"><div>" . $source_url . "</div></td>");

//             echo("<td style=\"display: flex; justify-content: right;\">");
            $delete_btn_id = "holo6-delete_article_btn-" . uniqid();
            echo("<td class=\"holo6_table_fit_td\"><div id=\"holo6-db-edit-container-$delete_btn_id\" class=\"holo6-db-edit-container\" data-uid=\"$delete_btn_id\" data-source=\"" . urlencode($article_data["source"]) . "\"></div></td>");

            // echo("<td class=\"holo6_table_fit_td\"><button class=\"button action\" id=\"holo6-reset_config_button_0\" type=\"button\">" . __("Reset", "holo6") . "</button></td>");

//             echo("</td>");
            echo("</tr>");
        }
        echo("</table>");
    }
    // echo("<br>");
    // echo("<br>");
    // _holo6_database_render_article_redaction();

    echo("</div>");
}

function holo6_render_database_settings_main_page() {
    if (holo6_database_update_config_post()) {
        ;
    }
    if (holo6_database_update_db_post()) {
        ;
    }
    if (holo6_database_remove_article_db_post()) {
        ;
    }

    echo("<div class=\"wrap holo6_base\">");
    echo("<span style=\"display: inline-flex; vertical-align: middle;\">");
    echo("<h1 class=\"wp-heading-inline\" style=\"\">" . sprintf(__("Holo6 AI Settings on %s", "holo6"), "<span class=\"holo6_surligne_titre\">" . holo6_current_site_title_name(false) . "</span>") . "</h1>");
    echo("<h2 style=\"width: fit-content; margin-left: 1em;\">" . __("Database : Edit your AI's knowledge base", "holo6") . "</h2>");
    echo("</span>");
    echo("<hr class=\"wp-header-end\">");

    $holo6_php_client = new Holo6PHPClient();
    // if ($holo6_php_client->validateAdminAPIKey() === true) {
    if ($holo6_php_client->valideDatabasePassword(true) === true) {
        $current_network_id = holo6_current_site_id();
        $current_collection_name = get_network_option($current_network_id, "holo6_database-current_collection_name", Holo6AgentsManager::get_private_collection_name());
        echo("<div style=\"margin-top: 1em;\">");
        // if ($holo6_php_client->valideDatabasePassword(true) === true) {
            $collection_detail_json = $holo6_php_client->DBGetCurrentCollectionDetail();
            _holo6_database_render_articles_table($current_collection_name, $collection_detail_json);
        // }
        // else {
        //     _holo6_render_database_settings_wrong_pw_database();
        // }
        echo("</div>");
    }
    else {
        echo("<div><span style=\"display: block; margin-top: 2em; margin-left: 1em\">");
        echo("<form action=\"\" method=\"post\">");
            echo("<table role=\"presentation\" class=\"form-table\" style=\"width: 100em;\"><tbody>");
            echo("<input type=\"hidden\" name=\"holo6_post_database_config_action\" value=\"update\" />");
            echo("<tr><td class=\"holo6_table_th_prem_colonne\" style=\"width: 60px;\"><div style=\"width: fit-content; min-width: 8em;\"><p>" . __("Secret database key", "holo6") . "</p><p>&nbsp;</p></div></td>");
            echo("<td style=\"width: 36em;\"><div><span><input type=\"text\" style=\"width: 35em;\" class=\"holo6_input_conf_line\" id=\"holo6-api_key-input\" name=\"api_key\" value=\"" . $holo6_php_client->getAPIKey() . "\" /><input type=\"submit\" style=\"margin-left: 1em;\" class=\"button action\" name=\"holo6_private_submit_config_action\" value=\"" . esc_attr__("Ok", "holo6") . "\" /></span>");
            
            if (strlen($holo6_php_client->getAPIKey()) === 0) {
                echo("<p>" . sprintf(__("Connect to your <a href=\"%s\">Holo6 account</a> to get your secret key", "holo6"), holo6_official_website_url(holo6_get_current_locale())) . "</p>");
            }
            else {
                echo("<p>" . __("This API key does not allow the database editing.", "holo6") . "<br>" . __("A valid key is required to customize the database and choose custom agents.", "holo6") . "</p>");
            }          
            echo("</td></tr>");
            echo("</table></tbody>");
        echo("</form></span></div>");
    }
    echo("</div>");
}

function holo6_render_database_settings_page() {
    if (is_admin()) {
        Holo6Notifications_from_POST();

        if (isset($_GET["detail_article"])) {
            Holo6Notifications_form_HTML("database");
            holo6_render_private_detail_article_page($_GET["detail_article"]);
        }
        else if (isset($_GET["create_article"]) && $_GET["create_article"] === "1") {
            Holo6Notifications_form_HTML("database&create_article=1");
            holo6_render_private_create_article_page();
        }
        else {
            if (isset($_GET["collection_name"])) {
                $collection_name = $_GET["collection_name"];
                if (Holo6AgentsManager::is_collection_public_data($collection_name) || Holo6AgentsManager::is_collection_private_data($collection_name)) {
                    $current_network_id = holo6_current_site_id();
                    update_network_option($current_network_id, "holo6_database-current_collection_name", $collection_name);
                }
            }
            holo6_render_database_settings_main_page();
        }
    }
}

?>