<?php


require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/utils.php";
require_once HOLO6_PLUGIN_DIR . "plugin_pages/libs/holo6_client.php";


class Holo6AgentsManager {

    public function __construct() {
        // $this->current_network_id = ($force_current_network_id===null) ? holo6_current_site_id() : $force_current_network_id;
    }

    public function GetAgentsList() {
        $holo6_php_client = new Holo6PHPClient();
        $agents_response = $holo6_php_client->GetAgentsList(false);
        if ($agents_response->validation_json("agents") === true) {
            return $agents_response->get("agents");
        }
        return null;
    }

    public static function get_public_collection_name() {
        return "global";
    }

    public static function get_private_collection_name() {
        return "alt";
    }

    public static function is_collection_public_data($collection_name) {
        return $collection_name === "global";
    }

    public static function is_collection_private_data($collection_name) {
        return $collection_name === "alt";
    }

    public static function get_agent_for_collection_name($collection_name) {
        if ($collection_name === "global") {
            return "main/chat-global";
        }
        else if ($collection_name === "alt") {
            return "main/chat-alt";
        }
        return null;
    }

    public static function get_collection_name_for_agent($agent_id) {
        if ($agent_id === "main/chat-global") {
            return "global";
        }
        else if ($agent_id === "main/chat-alt") {
            return "alt";
        }
        return null;
    }
};

?>